{% extends 'base_admin.html.twig' %}

{% block section %}

    <div class="articles_index admin-form">

        <div class='header-admin-index'>
            <h2>Gestion des articles</h2>
            <a href="{{ url('admin_add_post') }}"><button>+</button></a>
        </div>

        <form>
            <div class="heading">
                <h3>SEO</h3>
                <p>Pour référencer la liste des articles, il est nécessaire de renseigner ses balises SEO.</p>
                <p>Pour être visible dans les résultats de recherche de Google, il est primordiale de rédiger un article avec une attention particulière pour le SEO. Pour des explications détaillées, vous pouvez <a href="https://www.journalducm.com/rediger-un-article-seo/" target="_blank">consulter cet article</a></p>
            </div>
            <div class="lang-tabs">
                <ul>
                    <li class="active">Français</li>
                    <li>Anglais</li>
                    <li>Espagnol</li>
                </ul>
                <div class="tab active">
                    <div><label for="posts_form_page_title_fr">Titre SEO par défaut (fr)<span class="infos">Le titre doit faire entre 30 et 60 caractères<span class="count"></span></span></label><input type="text" id="posts_form_page_title_fr" name="posts_form[page_title_fr]" maxlength="60" minlength="30"></div>
                    <div><label for="posts_form_page_description_fr">Description SEO par défaut (fr)<span class="infos">La description doit faire entre 50 et 160 caractères<span class="count"></span></span></label><input type="text" id="posts_form_page_description_fr" name="posts_form[page_description_fr]" maxlength="160" minlength="50"></div>
                </div>
                <div class="tab">
                    <div><label for="posts_form_page_title_en">Titre SEO (en)<span class="infos">Le titre doit faire entre 30 et 60 caractères<span class="count"></span></span></label><input type="text" id="posts_form_page_title_en" name="posts_form[page_title_en]" maxlength="60" minlength="30"></div>
                    <div><label for="posts_form_page_description_en">Description de la page (en)<span class="infos">La description doit faire entre 50 et 160 caractères<span class="count"></span></span></label><input type="text" id="posts_form_page_description_en" name="posts_form[page_description_en]" maxlength="160" minlength="50"></div>
                </div>
                <div class="tab">
                    <div><label for="posts_form_page_title_es">Titre SEO (es)<span class="infos">Le titre doit faire entre 30 et 60 caractères<span class="count"></span></span></label><input type="text" id="posts_form_page_title_es" name="posts_form[page_title_es]" maxlength="60" minlength="30"></div>
                    <div><label for="posts_form_page_description_es">Description de la page (es)<span class="infos">La description doit faire entre 50 et 160 caractères<span class="count"></span></span></label><input type="text" id="posts_form_page_description_es" name="posts_form[page_description_es]" maxlength="160" minlength="50"></div>
                </div>
            </div>
            <button type="submit">Modifier</button>
        </form>

        <div class="header-admin-index">
            <h3>Liste des articles</h3>
            <a class="btn blue" href="{{ url('admin_add_post') }}"><span>Créer un article</span></a>
        </div>
        <div class='admin-list'>
            {% if posts %}
                {% for post in posts %}
                    <div class='admin-list-container'>
                        <div class="image">
                            <img src="/uploads/img_article/{{ post.image }}" alt="Article"/>
                        </div>
                        <div class='content'>
                            <h4>{{ post.content.title }}</h4>
                            <p>{{ post.content.shortContent }}</p>
                        </div>
                        <div class='action-buttons'>
                            <a href="{{ url('admin_update_post', {'id': post.id}) }}"><button><img src="/images/icons/admin_edit.svg" alt="Modifier l'article"></button></a>
                            <a href="{{ url('admin_update_post', {'id': post.id}) }}"><button><img src="/images/icons/admin_delete.svg" alt="Supprimer l'article"></button></a>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
                <p>Aucun article</p>
            {% endif %}
        </div>
    </div>

{% endblock %}
